Debian Bug report logs - #724340
e17: Please do not store timestamps in headers of gzipped documentation

version graph

Package: e17; Maintainer for e17 is Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>; Source for e17 is src:e17.

Reported by: Jérémy Bobbio <lunar@debian.org>

Date: Mon, 23 Sep 2013 20:39:02 UTC

Severity: wishlist

Tags: patch

Found in version e17/0.17.3-1

Fixed in version e17/0.17.3-2

Done: Albin Tonnerre <lutin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, reproducible-builds@lists.alioth.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#724340; Package e17. (Mon, 23 Sep 2013 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
New Bug report received and forwarded. Copy sent to reproducible-builds@lists.alioth.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Mon, 23 Sep 2013 20:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: submit@bugs.debian.org
Subject: e17: Please do not store timestamps in headers of gzipped documentation
Date: Mon, 23 Sep 2013 22:34:03 +0200
[Message part 1 (text/plain, inline)]
Package: e17
Version: 0.17.3-1
Severity: wishlist
Tags: patch
User: reproducible-builds@lists.alioth.debian.org
Usertags: timestamps

Hi!

As part of the effort to have byte-to-byte identical reproducible
builds [1], I've noticed that e17 currently stores a timestamp in the
gzip header of some of its documentation.

Applying the attached patch should fix the issue.

[1] http://wiki.debian.org/ReproducibleBuilds

Thanks,
-- 
Lunar                                .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[e17-0.17.3-1_do_not_store_gz_timestamps.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Albin Tonnerre <lutin@debian.org>:
You have taken responsibility. (Sat, 02 Nov 2013 15:21:10 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Bobbio <lunar@debian.org>:
Bug acknowledged by developer. (Sat, 02 Nov 2013 15:21:10 GMT) Full text and rfc822 format available.

Message #10 received at 724340-close@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <lutin@debian.org>
To: 724340-close@bugs.debian.org
Subject: Bug#724340: fixed in e17 0.17.3-2
Date: Sat, 02 Nov 2013 15:19:30 +0000
Source: e17
Source-Version: 0.17.3-2

We believe that the bug you reported is fixed in the latest version of
e17, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 724340@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Albin Tonnerre <lutin@debian.org> (supplier of updated e17 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 02 Nov 2013 14:41:07 +0100
Source: e17
Binary: e17 e17-data e17-dev e17-dbg
Architecture: source all amd64
Version: 0.17.3-2
Distribution: unstable
Urgency: low
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Changed-By: Albin Tonnerre <lutin@debian.org>
Description: 
 e17        - Enlightenment DR17 Window Manager
 e17-data   - Enlightenment Window Manager Run Time Data Files
 e17-dbg    - Enlightenment DR17 Window Manager - debugging symbols
 e17-dev    - Enlightenment headers, static libraries and documentation
Closes: 712931 724340
Changes: 
 e17 (0.17.3-2) unstable; urgency=low
 .
   * patches/02_kfreebsd_no_ptrace: fix FTBFS on KFreeBSD (Closes: #712931)
   * patches/03_test_pt_getsiginfo: test for PT_GETSIGINFO, fixes FTBFS on Hurd
   * debian/rules: avoid timestamps in gzipped documentation (Closes: #724340)
Checksums-Sha1: 
 a3cc9b85527bfe65e19f4d0de079067d95ca29e7 2334 e17_0.17.3-2.dsc
 6641d425fc58af43057f3a969be20349825ac01e 10416 e17_0.17.3-2.debian.tar.gz
 dbb97873e3a2409bf235bcddd026f2c42b6ac6f5 24678038 e17-data_0.17.3-2_all.deb
 8e83d537384d71f859f22415ed71a3e04183c01c 1755664 e17_0.17.3-2_amd64.deb
 6f53407863a0b184bbc9d296231190d16be55b51 74810 e17-dev_0.17.3-2_amd64.deb
 ee1b3165933f26363a6d17b0b933c5318d93464f 3687130 e17-dbg_0.17.3-2_amd64.deb
Checksums-Sha256: 
 9553eaab2fcc3d3fdfaf2f59b718194589396c0b96173338ddc6007e0476d373 2334 e17_0.17.3-2.dsc
 8f288377c7f2a2ee84b0f4280b3c9977a5f7299ed79fbdd19c7bc4ea6f5acb34 10416 e17_0.17.3-2.debian.tar.gz
 47ad74bfb438ad33e565aaf8c1185a228a81c60e57224c6014adc264dfa39787 24678038 e17-data_0.17.3-2_all.deb
 0bdd678d7a8a7ea93d83fb730c8afbedcee1b49b6232e09e6cc2c2dcfd976c5a 1755664 e17_0.17.3-2_amd64.deb
 713efec2469c4787c98b272e9892faac310697b74554b292a844140a2faf2fb3 74810 e17-dev_0.17.3-2_amd64.deb
 77b9f8ace62e888880851986dfb9785bd4af48122ae9fa087dc87d91095f9eec 3687130 e17-dbg_0.17.3-2_amd64.deb
Files: 
 00425f20ed0c92ea96720562c9edb66f 2334 x11 optional e17_0.17.3-2.dsc
 abb4b83aea4d525925b635a03b29bb3b 10416 x11 optional e17_0.17.3-2.debian.tar.gz
 5236ab06dfddc5871eb91ec7c6f0aa98 24678038 x11 optional e17-data_0.17.3-2_all.deb
 a5fa0adf9d12e7773d4e2450a062c12a 1755664 x11 optional e17_0.17.3-2_amd64.deb
 fbe411b35a21e66158bc99fdaccfdbb9 74810 devel optional e17-dev_0.17.3-2_amd64.deb
 0e2400a8b386a968b9dbd10ea94d4f17 3687130 debug extra e17-dbg_0.17.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSdQNeAAoJEBEG8gBbtuSlVI8P+wY5DH03mW3rvcAhIapPO9GE
aAZaFfwzIJ/AqXrC+tCM29sVXn2V8iRXdG7buwR42sp8utAIDXHSxmo70URvblg2
lesZKPBtqg4rgLocR6H47fkJp8TXctPnDtgIwPJK9eX9wrvtoUqSRgGzu78LVuLN
smG+gQfCYriGrvKBxd/skVxCozWcP3SDIKeT/OZhvQ3AniF7MgWGqJoqYNAyiPGW
pnwKCkJ8A5orx7DO1ydeT42gm4QAd8VjHdHzOyWMWpfqaztyTcbT9U5meRdlzJhy
cy7JzFDnaM9PQJZkFZ1SpXJJxfkmGeSezJzOb6X1PMY7qSxzQmuJyfKSIn+vIIrT
4nCmy6D2bwIc2htWFd/aV8nThyyBuLkxCTnpX3xbpHdeK1ybNuD5z0SIS+7wRe4x
Oys1b7q3mhhr5fd11wUlRhGqBPsmLaNXQpmennSIFTYbmqtER3OmgOdqiA3uKYAl
xFCENHXPay3QcJIwuGquhCI5o8RDp/RIVoWMoYy0sP9VB2Mbe3puqwjqu/OLUHNX
obO5WgtY43Z/In5G937ZjsFWhxFU8IVDYN3qK/Ze8yiQwLLxeHIFBCDmrjdFoC9c
btoAoLf3WYApKE2TtTbacitT/UIVAO1ejRHd8n/CsD2Q+bYRtt1pUxyQfrPy8OV/
K/dsiapH+7I6aRPSQM4c
=Aybx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Dec 2013 07:25:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:14:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.